@ECHO off
title ADB Install

if exist "%localappdata%\ADB" (
    echo ADB could not be installed. Destination path already exists.
    echo Press any key to close.
    pause >nul
    exit
)

    echo *******************************************
    echo Installing...

    MD "%localappdata%\ADB"

    %systemroot%\System32\xcopy /s "%CD%\ADB" "%localappdata%\ADB" /E >nul

    SET Key="HKCU\Environment"
    FOR /F "usebackq tokens=2*" %%A IN (`REG QUERY %Key% /v PATH`) DO Set CurrPath=%%B
    SETX PATH "%CurrPath%";"%localappdata%\ADB" >nul

    echo *******************************************
    echo Finished! ADB was successfully installed at "%localappdata%\ADB"
    echo Open a new terminal and enter the following command: "adb --version".
    echo The system should display the ADB version installed on your system.
    echo Press any key to close.
    pause >nul